Tryton - Issues

 

Issue1281

Title DAV_NotFound using Evolution via CalDAV
Priority bug Status closed
Superseder Nosy List ced, webwurst
Type behavior Components
Assigned To ced Keywords
Reviews

Created on 2009-11-05.15:09:56 by webwurst, last changed by ced.

Messages
msg15762 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2014-02-25.15:08:42
Fixed in version 3.11.91+
msg6527 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2010-06-28.21:44:13
Issue is not yet completely fixed in Evolution:
https://bugzilla.gnome.org/show_bug.cgi?id=623066
msg5035 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2009-11-05.19:43:28
It is an issue of Evolution: https://bugzilla.gnome.org/show_bug.cgi?id=566354
msg5031 (view) Author: [hidden] (webwurst) Date: 2009-11-05.15:17:16
Weird.. The event is actually created with Evolution, but not shown. It does appear when connecting with Sunbird.
msg5030 (view) Author: [hidden] (webwurst) Date: 2009-11-05.15:09:55
When i try to create a new event with Evolution i get this:

::ffff:169.254.1.121 - - [05/Nov/2009 15:00:24] "PUT /tryton_test/Calendars/calendar_test/20091105T135910Z-2942-1000-1-4_webwurst-desktop-20091105T135914Z.ics HTTP/1.1" 201 -
[Thu Nov 05 15:00:24 2009] ERROR:webdav:Exception:
Traceback (most recent call last):
  File "/opt/trytond/trytond/protocols/webdav.py", line 238, in get_data
    cache=CACHE)
  File "/opt/trytond/trytond/modules/calendar/webdav.py", line 425, in get_data
    raise DAV_NotFound
DAV_NotFound: (404, '')

::ffff:169.254.1.121 - - [05/Nov/2009 15:00:24] "GET /tryton_test/Calendars/calendar_test/20091105T135910Z-2942-1000-1-4_webwurst-desktop-20091105T135914Z.ics HTTP/1.1" 404 -


Using Sunbird it works and to only difference seems to be the filename: 

::ffff:169.254.1.121 - - [05/Nov/2009 15:04:40] "PUT /tryton_test/Calendars/calendar_test/7bc7bf24-3921-4811-8fe8-e2960a0daae1.ics HTTP/1.1" 201 -
::ffff:169.254.1.121 - - [05/Nov/2009 15:04:40] "REPORT /tryton_test/Calendars/calendar_test/ HTTP/1.1" 207 -
History
Date User Action Args
2014-02-25 15:08:43cedsetstatus: deferred -> closed
messages: + msg15762
2013-08-26 18:39:36cedsetmessages: - msg13942
2013-08-26 18:39:24cedsetmessages: - msg13943
2013-08-26 18:38:40cedsetmessages: - msg13944
2013-08-26 18:38:34cedsetmessages: - msg13945
2013-08-26 18:38:18cedsetfiles: - sa14.html
2013-08-26 18:38:09cedsetfiles: - sa14-2.html
2013-08-26 18:38:02cedsetfiles: - sa14-1.html
2013-08-26 18:37:57cedsetnosy: - sordidevent21
title: NewInterface -> DAV_NotFound using Evolution via CalDAV
2013-08-26 18:08:45sordidevent21setfiles: + sa14.html
messages: + msg13945

Showing 10 items. Show all history (warning: this could be VERY long)